# Markdown Resume 

Gaiety's note: This is a migration of a fork of a fork for personal purposes haha. Gaiety does not claim anything other than the resume contents and a few lines of css are faer's.

---

This repo allows you to build/maintain your resume in a Markdown file, and then publish it into an HTML or PDF file. 
Technically, you could output it into any file you wanted with pandoc, or wkhtmltopdf, but I wasn't interested in those scenarios so I explore those avenues. 

The inspiration for this project came from my need to look for a job, my need to update my resume, and my desire not to have to write something in Google docs, or Microsoft Word, so I scoured the web for newer way to build/maintain a resume, while doing so I ran into this [project by Sonya Sawtelle](https://sdsawtelle.github.io/blog/output/simple-markdown-resume-with-pandoc-and-wkhtmltopdf.html). 

I modified the CSS for my taste, and noticed that some of the documentation needed to be updated. 

Since Sonya's post is nearly five years old, there have been many changes to the command line utilities that she used, so I've updated this README to reflect those changes.

# Workflow

The workflow is pretty simple.

1. Edit the resume.md file.
1. Run pandoc to convert the Markdown file to HTML. OR 
1. Run pandoc to convert the Markdown file into a PDF.

```sh
# On macOS
brew install pandoc wkhtmltopdf
# On Linux (ubuntu/debian)
sudo apt install pandoc wkhtmltopdf
```

## Markdown to PDF 

```sh
make
# or...
pandoc resume.md -f markdown -t pdf --pdf-engine-opt="--enable-local-file-access" --pdf-engine=wkhtmltopdf -c resume-stylesheet.css -s -o resume.pdf
```

## Markdown to HTML 
```sh
pandoc resume.md -f markdown -t html -c resume-stylesheet.css -s -o resume.html
```

## HTML to PDF 

If you want to convert from HTML to PDF for some reason, you'll need to add a switch to wkhtmltopdf so that it works properly. 

```sh
wkhtmltopdf --enable-local-file-access resume.html resume.pdf
```
